## dnsmasq 2.85

=== debian/changelog ===
dnsmasq (2.85-1+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Patch CVE-2022-0934
  * Patch CVE-2023-28450
  * Patch CVE-2023-50387 and CVE-2023-50868
  * Add salsa config to run CI tests

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 29 Nov 2024 13:55:04 +0100

dnsmasq (2.85-1) unstable; urgency=low

   * New upstream.
   * Includes fix to CVE-2021-3448.
   * Fix manpage typos. (closes: #986150)

 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 03 Apr 2021 22:17:23 +0100

dnsmasq (2.84-1.2) unstable; urgency=medium

   * Non-maintainer upload.
   * Bump old-version in dpkg-maintscript-helper dir_to_symlink calls to also
     clean up after upgrades to an earlier version in testing.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Apr 2021 16:01:51 +0200

dnsmasq (2.84-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix symlink to directory conversion for /usr/share/doc/dnsmasq.
     This is achieved by directly calling dpkg-maintscript-helper in the preinst,
     postinst, and postrm scripts, since the package does not use debhelper.
     (Closes: #985282)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Mar 2021 10:55:07 +0200

dnsmasq (2.84-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 24 Jan 2021 22:02:01 +0000

dnsmasq (2.83-1) unstable; urgency=high

   * New upstream.
   * Includes fixes to CVE-2020-25681 - CVE-2020-25687 inclusive.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 15 Jan 2021 22:22:41 +0000

dnsmasq (2.82-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 26 Jun 2020 22:22:41 +0000

dnsmasq (2.81-4) unstable; urgency=low

   * Remove runit support when building for Ubuntu. (closes: #960401)

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 26 Jun 2020 21:52:44 +0000

dnsmasq (2.81-3) unstable; urgency=low

   * Fixes to control file for bug 958100

 -- Simon Kelley <simon@thekelleys.org.uk>  Sun, 19 Apr 2020 21:44:12 +0000

dnsmasq (2.81-2) unstable; urgency=low

   * Fix FTBFS on kFreeBSD. (closes: #958100)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Sat, 18 Apr 2020 18:34:15 +0000

dnsmasq (2.81-1) unstable; urgency=low

   * New upstream.
   * Fix nodocs/nodoc confusion in rules. (closes: #922758)
   * Add Vcs-* fields to control. (closes: #922422)
   * Add systemd support for multiple daemon instances. (closes: #914305)
   * Add note explaining that ENABLED is SYSV-init only. (closes: #914755)
   * Replace ash with dash in contrib/reverse-dns. (closes: #920224)
   * Move to libidn2. (closes: #932695)
   * Fix RA problem with two interfaces on same net, but RA service on
     only one of the interfaces. (closes: #949565)
   * Fix breakage of dig +trace. (closes: #942363)
   * Fix build faliure with newer Nettle libraries. (closes: #940985)
   * Support runscript init-system (closes: #929884)
   * Security fix for CVE-2019-14834 (closes: #948373)
	
 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 8 Apr 2020 17:33:15 +0000

=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-depends: gettext, libnetfilter-conntrack-dev [linux-any],
               libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev, 
               nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
	       liblua5.2-dev, dh-runit, debhelper-compat (= 10),
               pkg-config
Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Homepage: http://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: http://thekelleys.org.uk/git/dnsmasq.git
Vcs-Browser: http://thekelleys.org.uk/gitweb/?p=dnsmasq.git
Standards-Version: 3.9.8

Package: dnsmasq
Architecture: all
Depends: netbase, dnsmasq-base,
         init-system-helpers (>= 1.18~), lsb-base (>= 3.0-6), ${misc:Depends}
Suggests: resolvconf
Breaks: ${runit:Breaks}
Conflicts: resolvconf (<<1.15), ${runit:Conflicts}
Description: Small caching DNS proxy and DHCP/TFTP server
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a 
 small network. It can serve the names of local machines which are 
 not in the global DNS. The DHCP server integrates with the DNS 
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic 
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Depends: adduser, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base-lua
Description: Small caching DNS proxy and DHCP/TFTP server
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Depends: adduser, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base
Description: Small caching DNS proxy and DHCP/TFTP server
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the LUA interpreter.
 
Package: dnsmasq-utils
Architecture: linux-any
Depends: ${shlibs:Depends}
Conflicts: dnsmasq (<<2.40)
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for dnsmasq.
# Copyright 2001-2020 by Simon Kelley
# Based on the sample in the debian hello package which carries the following:
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

package=dnsmasq-base

dpkg_buildflags := DEB_BUILD_MAINT_OPTIONS="hardening=+all,+pie,+bindnow" dpkg-buildflags

CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
CFLAGS += $(shell $(dpkg_buildflags) --get CPPFLAGS)
CFLAGS += -Wall -W

LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)

DEB_COPTS = $(COPTS)

TARGET = install-i18n

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

ifeq ($(origin CC),default)
     CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

# Support non-cross-builds on systems without gnu-triplet-binaries for pkg-config.
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
     PKG_CONFIG=pkg-config
else
     PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config	
endif

# Force package version based on git tags.
ifneq (,$(filter gitversion,$(DEB_BUILD_OPTIONS)))
     PACKAGE_VERSION = $(shell bld/get-version `pwd` |  sed 's/test/~&/; s/[a-z]/~&/;  s/-/./g; s/$$/-1/; s/^/-v/';)
endif

ifeq (,$(filter nodbus,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DHAVE_DBUS
endif

ifeq (,$(filter noidn, $(DEB_BUILD_OPTIONS)))
	DEB_COPTS += -DHAVE_LIBIDN2
endif

ifeq (,$(filter noconntrack,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_OS),linux)
     DEB_COPTS += -DHAVE_CONNTRACK
endif
endif

ifneq (,$(filter noipset,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_IPSET
endif

ifneq (,$(filter nodhcp6,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_DHCP6
endif

ifneq (,$(filter noipv6,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_IPV6
endif

ifneq (,$(filter notftp,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_TFTP
endif

ifneq (,$(filter nodhcp,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_DHCP
endif

ifneq (,$(filter noscript,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DNO_SCRIPT
endif

ifneq (,$(filter nortc,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DHAVE_BROKEN_RTC
endif

ifneq (,$(filter noi18n,$(DEB_BUILD_OPTIONS)))
     TARGET = install
endif

ifneq (,$(filter uselua,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DHAVE_LUASCRIPT
endif

ifeq (,$(filter nodnssec,$(DEB_BUILD_OPTIONS)))
     DEB_COPTS += -DHAVE_DNSSEC
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
     # For strlcpy in FreeBSD
     LIBS += $(shell ${PKG_CONFIG} --libs libbsd-overlay)
     CFLAGS += $(shell ${PKG_CONFIG} --cflags libbsd-overlay)
endif

define build_tree
	rm -rf $1
	install -m 755 \
		-d $1/DEBIAN \
		-d $1/etc/dbus-1/system.d \
	        -d $1/usr/share/doc/$(package) \
		-d $1/usr/share/doc/$(package)/examples \
		-d $1/usr/share/$(package) \
	        -d $1/var/lib/misc

endef

define add_docs
# Need to remove paypal links in Debian Package for policy reasons.
	sed -e /\<H2\>Donations/Q -e /icon.png/d doc.html -e /favicon.ico/d >$1/usr/share/doc/$(package)/doc.html
	echo "</BODY>" >>$1/usr/share/doc/$(package)/doc.html 
	install -m 644 setup.html $1/usr/share/doc/$(package)/.
	install -m 644 dnsmasq.conf.example $1/usr/share/doc/$(package)/examples/.
	install -m 644 FAQ $1/usr/share/doc/$(package)/.
	gzip -9n $1/usr/share/doc/$(package)/FAQ
	install -m 644 CHANGELOG $1/usr/share/doc/$(package)/changelog
	gzip -9n $1/usr/share/doc/$(package)/changelog
	install -m 644 CHANGELOG.archive $1/usr/share/doc/$(package)/changelog.archive
	gzip -9n $1/usr/share/doc/$(package)/changelog.archive
	install -m 644 dbus/DBus-interface $1/usr/share/doc/$(package)/.
	gzip -9n $1/usr/share/doc/$(package)/DBus-interface	
	install -m 644 debian/systemd_howto $1/usr/share/doc/$(package)/.
	gzip -9n $1/usr/share/doc/$(package)/systemd_howto
	gzip -9n $1/usr/share/man/man8/dnsmasq.8
	for f in $1/usr/share/man/*; do \
		if [ -f $$f/man8/dnsmasq.8 ]; then \
                       gzip -9n $$f/man8/dnsmasq.8 ; \
                fi \
	done
endef

define add_files
	install -m 644 trust-anchors.conf $1/usr/share/$(package)/.
	install -m 644 debian/dnsmasq-base.conffiles $1/DEBIAN/conffiles
	install -m 755 debian/dnsmasq-base.postinst $1/DEBIAN/postinst
	install -m 755 debian/dnsmasq-base.postrm  $1/DEBIAN/postrm
	install -m 644 debian/changelog $1/usr/share/doc/$(package)/changelog.Debian
	gzip -9n $1/usr/share/doc/$(package)/changelog.Debian
	install -m 644 debian/readme $1/usr/share/doc/$(package)/README.Debian
	install -m 644 debian/copyright $1/usr/share/doc/$(package)/copyright
	install -m 644 debian/dbus.conf $1/etc/dbus-1/system.d/dnsmasq.conf
endef

clean:
	$(checkdir)
	make BUILDDIR=debian/build/no-lua clean
	make BUILDDIR=debian/build/lua clean
	make -C contrib/lease-tools clean
	rm -rf debian/build debian/trees debian/*~ debian/files debian/substvars debian/utils-substvars

binary-indep:	checkroot
	$(checkdir)
	rm -rf debian/trees/daemon
	install -m 755 \
	        -d debian/trees/daemon/DEBIAN \
		-d debian/trees/daemon/usr/share/doc/dnsmasq \
	        -d debian/trees/daemon/etc/init.d \
		-d debian/trees/daemon/etc/dnsmasq.d \
	        -d debian/trees/daemon/etc/resolvconf/update.d \
		-d debian/trees/daemon/usr/lib/resolvconf/dpkg-event.d \
		-d debian/trees/daemon/usr/share/dnsmasq \
		-d debian/trees/daemon/usr/share/doc/dnsmasq \
	        -d debian/trees/daemon/etc/default \
		-d debian/trees/daemon/lib/systemd/system \
		-d debian/trees/daemon/usr/lib/tmpfiles.d \
                -d debian/trees/daemon/etc/insserv.conf.d
	install -m 644 debian/conffiles debian/trees/daemon/DEBIAN
	install -m 755 debian/postinst debian/postrm debian/preinst debian/prerm debian/trees/daemon/DEBIAN
	if ! dpkg-vendor --derives-from Ubuntu; then \
                rm -f debian/dnsmasq.postinst.debhelper debian/dnsmasq.postrm.debhelper; \
	      	dh_runit -pdnsmasq -Pdebian/trees/daemon; \
		cat debian/dnsmasq.postinst.debhelper >> debian/trees/daemon/DEBIAN/postinst; \
		cat debian/dnsmasq.postrm.debhelper   >> debian/trees/daemon/DEBIAN/postrm; \
		cd debian/trees/daemon && find etc/sv -type f -printf '/%p\n' >>DEBIAN/conffiles; \
	fi
	install -m 755 debian/init debian/trees/daemon/etc/init.d/dnsmasq
	install -m 755 debian/resolvconf debian/trees/daemon/etc/resolvconf/update.d/dnsmasq
	install -m 755 debian/resolvconf-package debian/trees/daemon/usr/lib/resolvconf/dpkg-event.d/dnsmasq
	install -m 644 debian/installed-marker debian/trees/daemon/usr/share/dnsmasq
	install -m 644 debian/default debian/trees/daemon/etc/default/dnsmasq
	install -m 644 dnsmasq.conf.example debian/trees/daemon/etc/dnsmasq.conf
	install -m 644 debian/readme.dnsmasq.d debian/trees/daemon/etc/dnsmasq.d/README
	install -m 644 debian/systemd.service debian/trees/daemon/lib/systemd/system/dnsmasq.service
	install -m 644 debian/systemd@.service debian/trees/daemon/lib/systemd/system/dnsmasq@.service
	install -m 644 debian/tmpfiles.conf debian/trees/daemon/usr/lib/tmpfiles.d/dnsmasq.conf
	install -m 644 debian/insserv debian/trees/daemon/etc/insserv.conf.d/dnsmasq
	install -m 644 debian/copyright debian/trees/daemon/usr/share/doc/dnsmasq/copyright
	install -m 644 debian/changelog debian/trees/daemon/usr/share/doc/dnsmasq/changelog.Debian
	install -m 755 -d debian/trees/daemon/usr/share/lintian/overrides
	install -m 644 debian/dnsmasq.lintian-overrides debian/trees/daemon/usr/share/lintian/overrides/dnsmasq
	gzip -9n debian/trees/daemon/usr/share/doc/dnsmasq/changelog.Debian
	cd debian/trees/daemon && find . -type f ! -regex '.*DEBIAN/.*' -printf '%P\0' | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums

## dnsmasq 2.85-1ubuntu2

=== debian/changelog ===
dnsmasq (2.85-1ubuntu2) impish; urgency=medium

  * Revert: "src/radv.c: avoid leases to be issued forever when not set"
    (LP 1894619) according to the bug and upstream discussion.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 22 Jun 2021 07:18:30 +0200

dnsmasq (2.85-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - src/radv.c: avoid leases to be issued forever when not set
      (LP 1894619)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 02 Jun 2021 09:34:26 +0200

dnsmasq (2.84-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:12:23 +0000

dnsmasq (2.84-1ubuntu1) hirsute; urgency=medium

  * Resynchronize on Debian, remaining change
  * src/radv.c: avoid leases to be issued forever when not set 
    LP: #1894619)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Feb 2021 16:15:22 +0100

## dnsmasq 2.85-1ubuntu2.1

=== debian/changelog ===
dnsmasq (2.85-1ubuntu2.1) impish-security; urgency=medium

  * SECURITY UPDATE: Heap use after free
    - debian/patches/CVE-2022-0934.patch: Fix write-after-free error in
      DHCPv6 code in src/rfc3315.c.
    - CVE-2022-0934

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 18 Apr 2022 11:55:36 -0300

## dnsmasq 2.86-1.1ubuntu0.4

=== debian/changelog ===
dnsmasq (2.86-1.1ubuntu0.4) jammy; urgency=medium

  * src/dnsmasq.h, src/domain-match.c: Fix confusion when using resolvconf
    servers (combining server|address for a domain), resulting in the struct
    server datastructure for server=/domain/# getting passed to
    forward_query(), rapidly followed by a SEGV. This fix makes
    server=/domain/# a fully fledged member of the priority list.
    The code added here is a cherry pick released in upstream version
    2.87, originating at
    https://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=de372d69
    (LP: #2015562)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 20 Apr 2023 11:00:27 +0200

dnsmasq (2.86-1.1ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: IP fragmentation
    - src/config.h: update default max EDNS_PKTSZ to 1232 as agreed on
      dnsflagday 2020.
    - man/dnsmasq.8: updating documentation to reflect new default max
      EDNS_PKTSZ.
    - eb92fb32b746f2104b0f370b5b295bb8dd4bd5e5
    - CVE-2023-28450

 -- Ian Constantin <ian.constantin@canonical.com>  Tue, 18 Apr 2023 11:11:46 +0300

dnsmasq (2.86-1.1ubuntu0.2) jammy; urgency=medium

  * src/forward.c: Do not refuse retries from client DNS queries. Behaviour to
    stop infinite loops when all servers return REFUSED was wrongly activated
    on client retries, resulting in incorrect REFUSED replies to client
    retries. The code added here is a cherry pick released in upstream version
    2.87, originating at
    https://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=2561f9fe0eb9c0be
    (LP: #1981794)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 14 Oct 2022 14:39:41 -0700

dnsmasq (2.86-1.1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap use after free
    - debian/patches/CVE-2022-0934.patch: Fix write-after-free error in
      DHCPv6 code in src/rfc3315.c.
    - CVE-2022-0934

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 02 May 2022 12:09:51 -0300

dnsmasq (2.86-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix --address=/#/...... which was lost in 2.86. (closes: #995655)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Nov 2021 22:05:45 +0100

dnsmasq (2.86-1) unstable; urgency=low

   * Fix debian/changelog format error. (closes: #986626)

 -- Simon Kelley <simon@thekelleys.org.uk>  Thu, 08 Apr 2021 22:39:00 +0100

## dnsmasq 2.90

=== debian/changelog ===
dnsmasq (2.90-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:56 +0000

dnsmasq (2.90-2build1) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:22:49 +0000

dnsmasq (2.90-2) unstable; urgency=medium

  [ Sven Geuer ]
  * Relax limits imposed by d/t/functions.d/ip-addr.patterns to allow for
    successful tests on ci.debian.net.

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 14 Feb 2024 11:33:14 +0000

dnsmasq (2.90-1) unstable; urgency=medium

  [ Simon Kelley ]
  * New upstream. (closes: #1033165)
  * Move hard-coding of Lua version from the upstream Makefile
    to  d/rules.
  * Security fixes for Keytrap - DNSSEC validation CPU exhaustion.
    CVE-2023-50387 and CVE-2023-50868
  [ Sven Geuer ]
  * Introduce autokpgtests per d/tests/* (closes: #1034135).
  * Switch to dpkg-source 3.0 (quilt) format (closes: #1007041).
  * doc.html: Add patch to eliminate privacy breaches leaving the Donations
    paragraph as untouched as possible.
  * Prepend dnsmasq. to default, init, preinst, postinst, prerm, postrm.
  * Rename d/systemd.service to d/dnsmasq.service.
  * Rename d/systemd@.service to d/dnsmasq@.service.
  * Refactor d/rules to use the DH sequencer and fix major lintian issues
    (closes: #844989, #1040923, #1063551).
    Modified files:
    - d/rules
        Complete rewrite making use of debhelper and its tools, fixes lintian
        warning debian-rules-sets-dpkg-architecture-variable.
    - d/control
        Build-Depends, Pre-Depends, Depends added or changed as needed, lintian
        error depends-on-obsolete-package fixed.
    - d/dnsmasq.default
        ENABLED removed and comment changed to fix lintian error
        init.d-script-should-always-start-service.
    - d/dnsmasq.init
        Remove handling of obsolete ENABLED flag.
        Extract code used with System-V-style init and systemd into
        d/init-system-common, extract code used with systemd only
        into d/systemd-helper. This fixes lintian warning
        systemd-service-file-wraps-init-script.
        Drop workaround for hypothetically non-existent file
        /lib/lsb/init-functions, it has been around for more than a decade.
    - d/dnsmasq.service, d/dnsmasq@.service
        Adapt these files to make use of init-system-common and systemd-helper.
    - d/dnsmasq.{post,pre}{inst,rm}
        Rely mostly on the script snippets created by the DH tools to get
        things done, implicitly fixes the lintian warnings
        maintainer-script-should-not-use-dpkg-maintscript-helper and
        command-with-path-in-maintainer-script.
    - d/resolvconf*
        Change file mode bits to 0755, the installed files need it
    New files:
    - d/dnsmasq.{install,links,maintscript}
    - d/dnsmasq-base.{dirs,docs,install}
    - d/dnsmasq-base-lua.{dirs,docs,install,links}
    - d/dnsmasq-utils.{install,manpages}
        The DH tools use these to install what was scripted explicitly
        in the previous version of the d/rules file,
        lintian warning dbus-policy-in-etc fixed
    - d/init-system-common
    - d/systemd-helper
        These files contain slightly modified code formerly part of in
        d/dnsmasq.init.
    Deleted files:
    - d/*conffiles
    - d/lintian-override
    - d/installed-marker
        These are not in use anymore.
  * Deal with a removed conffile and changed links.
    Modified files:
    - d/dnsmasq-base.{postinst,postrm}
    New files:
    - d/dnsmasq-base.maintscript
    - d/dnsmasq-base-lua.maintscript
  * Add watch file and upstream's signing key.
    New files:
    - d/watch
    - d/u/signing-key.asc
  * Remove dependency on package adduser.
    Modified files:
    - d/control
    - d/dnsmasq.post{inst,rm}
  * Refactor d/copyright to comply with DEP 5 (closes: #966505).
  * Remove trailing whitespace from various files under debian/.
  * Bump Standards-Version to 4.6.2.
  * Specify Rules-Requires-Root.
  * Update http:// to https:// with Homepage, Vcs-Git and Vcs-Browser.
  * Introduce d/u/metadata.
  * Fix lintian issue duplicate-short-description.
  * Fix lintian issue capitalization-error-in-description.
  * Bump Lua version to 5.4 (closes: #1050750).
    Modified files:
    - d/control
    - d/t/functions.d/log.patterns

 -- Simon Kelley <simon@thekelleys.org.uk>  Fri, 23 Jan 2024 22:52:01 +0000

dnsmasq (2.89-1) unstable; urgency=low

   * New upstream.

 -- Simon Kelley <simon@thekelleys.org.uk>  Tue, 13 Jan 2023 21:57:01 +0000

dnsmasq (2.88-1) unstable; urgency=low

   * New upstream.
   * Fix loss of server configuration (closes: #1020830)
     Git commit 930428fb970f4991e5c2933fd5a5d2504c18a551

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 2 Nov 2022 22:15:45 +0000

dnsmasq (2.87-1) unstable; urgency=low

   * New upstream. (closes: #1001209, #1003156)
   * Include new NFTset support in the build.
   * Fix crash on netboot with DNS server disabled. (closes: #996332)
   * Fix rare lockup in DNSSEC. (closes: #1001576)
   * Close old bug. (closes: #902963)

 -- Simon Kelley <simon@thekelleys.org.uk>  Wed, 25 Sep 2022 23:11:25 +0000

=== debian/control ===
Source: dnsmasq
Section: net
Priority: optional
Build-Depends: dh-exec, gettext, libnetfilter-conntrack-dev [linux-any],
               libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev,
               nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
	       liblua5.4-dev, dh-runit, debhelper-compat (= 13),
               pkg-config, libnftables-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simon Kelley <simon@thekelleys.org.uk>
Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
Vcs-Git: https://thekelleys.org.uk/git/dnsmasq.git
Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: dnsmasq
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: netbase, dnsmasq-base,
         ${misc:Depends}
Suggests: resolvconf
Breaks: ${runit:Breaks}
Conflicts: resolvconf (<<1.15), ${runit:Conflicts}
Description: Small caching DNS proxy and DHCP/TFTP server - system daemon
 Dnsmasq is a lightweight, easy to configure, DNS forwarder and DHCP
 server. It is designed to provide DNS and optionally, DHCP, to a
 small network. It can serve the names of local machines which are
 not in the global DNS. The DHCP server integrates with the DNS
 server and allows machines with DHCP-allocated addresses
 to appear in the DNS with names configured either in each host or
 in a central configuration file. Dnsmasq supports static and dynamic
 DHCP leases and BOOTP/TFTP for network booting of diskless machines.

Package: dnsmasq-base
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base-lua
Description: Small caching DNS proxy and DHCP/TFTP server - executable
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package.

Package: dnsmasq-base-lua
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: dnsmasq (<< 2.63-1~)
Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
Recommends: dns-root-data
Provides: dnsmasq-base
Conflicts: dnsmasq-base
Description: Small caching DNS proxy and DHCP/TFTP server - executable, Lua-enabled
 This package contains the dnsmasq executable and documentation, but
 not the infrastructure required to run it as a system daemon. For
 that, install the dnsmasq package. This package is an alternative
 to dnsmasq-base which includes the Lua interpreter.

Package: dnsmasq-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: dnsmasq (<<2.40)
Description: Utilities for manipulating DHCP leases
 Small utilities to query a DHCP server's lease database and
 remove leases from it. These programs are distributed with dnsmasq
 and may not work correctly with other DHCP servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Make sure lintian does not complain about missing hardenings.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

PREFIX = /usr
# Upstream does not handle CPPFLAGS, so we add it to CFLAGS here.
CFLAGS += $(CPPFLAGS)
COPTS =

ifeq (,$(filter nodbus,$(DEB_BUILD_OPTIONS)))
	COPTS += -DHAVE_DBUS
endif

ifeq (,$(filter noidn, $(DEB_BUILD_OPTIONS)))
	COPTS += -DHAVE_LIBIDN2
endif

ifeq (,$(filter nonftset, $(DEB_BUILD_OPTIONS)))
	COPTS += -DHAVE_NFTSET
endif

ifeq (,$(filter noconntrack,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_OS),linux)
	COPTS += -DHAVE_CONNTRACK
endif
endif

ifneq (,$(filter noipset,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_IPSET
endif

ifneq (,$(filter nodhcp6,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_DHCP6
endif

ifneq (,$(filter noipv6,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_IPV6
endif

ifneq (,$(filter notftp,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_TFTP
endif

ifneq (,$(filter nodhcp,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_DHCP
endif

ifneq (,$(filter noscript,$(DEB_BUILD_OPTIONS)))
	COPTS += -DNO_SCRIPT
endif

ifneq (,$(filter nortc,$(DEB_BUILD_OPTIONS)))
	COPTS += -DHAVE_BROKEN_RTC
endif

ifeq (,$(filter nodnssec,$(DEB_BUILD_OPTIONS)))
	COPTS += -DHAVE_DNSSEC
endif


%:
	# Ubuntu and derivates do not support runit, see
	# https://bugs.debian.org/960401 for details.
	if dpkg-vendor --derives-from Ubuntu; then \
		dh $@; \
	else \
		dh $@ --with runit; \
	fi

# Upstream builds and installs in one go, so do we.
override_dh_auto_build:

override_dh_auto_install:
	dh_auto_build -p dnsmasq-base --no-parallel -- install-i18n \
		BUILDDIR=debian/auto-build/dnsmasq-base \
		DESTDIR=$(CURDIR)/debian/dnsmasq-base \
		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		COPTS="$(COPTS)"
	dh_auto_build -p dnsmasq-base-lua --no-parallel -- install-i18n \
		BUILDDIR=debian/auto-build/dnsmasq-base-lua \
		DESTDIR=$(CURDIR)/debian/dnsmasq-base-lua \
		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		LUA=lua5.4 COPTS="$(COPTS) -DHAVE_LUASCRIPT"
	dh_auto_build -p dnsmasq-utils -D contrib/lease-tools

override_dh_auto_clean:
	dh_auto_clean -p dnsmasq-base -- \
		BUILDDIR=debian/auto-build/dnsmasq-base
	dh_auto_clean -p dnsmasq-base-lua -- \
		BUILDDIR=debian/auto-build/dnsmasq-base-lua
	rm -rf debian/auto-build
	dh_auto_clean -p dnsmasq-utils -D contrib/lease-tools

override_dh_install:
	dh_install -p dnsmasq-utils --sourcedir=contrib/lease-tools
	dh_install --remaining-packages

# If 'nodoc' is absent from DEB_BUILD_OPTIONS, Correct name or location of
# some doc files.
# We would prefer do this via dh-exec if it would support dh_installdocs.
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_installdocs:
	for d in $(CURDIR)/debian/dnsmasq-base*/usr/share/doc/dnsmasq-base*; do \
		cd $$d; \
		mv readme README.Debian; \
		mv CHANGELOG.archive changelog.archive; \
		mkdir examples; \
		mv dnsmasq.conf.example examples/; \
	done
endif

# If 'nodoc' is present in DEB_BUILD_OPTIONS, drop the man pages already
# installed by the upstream build script. Then, let dh_installman do what
# else needs doing.
override_dh_installman:
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	rm -rf debian/dnsmasq-base*/usr/share/man
endif
	dh_installman -p dnsmasq-utils --sourcedir=contrib/lease-tools
	dh_installman --remaining-packages

=== debian/watch ===
version=4
opts=\
pgpmode=auto \
https://thekelleys.org.uk/dnsmasq/ \
dnsmasq-([\d.]+)@ARCHIVE_EXT@

## dnsmasq 2.91~test6

=== Makefile ===
# dnsmasq is Copyright (c) 2000-2024 Simon Kelley
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; version 2 dated June, 1991, or
#  (at your option) version 3 dated 29 June, 2007.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#    
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

# NOTE: Building the i18n targets requires GNU-make 


# Variables you may well want to override.

PREFIX        = /usr/local
BINDIR        = $(PREFIX)/sbin
MANDIR        = $(PREFIX)/share/man
LOCALEDIR     = $(PREFIX)/share/locale
BUILDDIR      = $(SRC)
DESTDIR       = 
CFLAGS        = -Wall -W -O2
LDFLAGS       = 
COPTS         = 
RPM_OPT_FLAGS = 
LIBS          = 
LUA           = lua

#################################################################

# Variables you might want to override.

PKG_CONFIG = pkg-config
INSTALL    = install
MSGMERGE   = msgmerge
MSGFMT     = msgfmt
XGETTEXT   = xgettext

SRC = src
PO  = po
MAN = man

#################################################################

# pmake way. (NB no spaces to keep gmake 3.82 happy)
top!=pwd
# GNU make way.
top?=$(CURDIR)

dbus_cflags =   `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_DBUS $(PKG_CONFIG) --cflags dbus-1` 
dbus_libs =     `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_DBUS $(PKG_CONFIG) --libs dbus-1` 
ubus_libs =     `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_UBUS "" --copy '-lubox -lubus'`
idn_cflags =    `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_IDN $(PKG_CONFIG) --cflags libidn` 
idn_libs =      `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_IDN $(PKG_CONFIG) --libs libidn` 
idn2_cflags =   `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_LIBIDN2 $(PKG_CONFIG) --cflags libidn2`
idn2_libs =     `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_LIBIDN2 $(PKG_CONFIG) --libs libidn2`
ct_cflags =     `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_CONNTRACK $(PKG_CONFIG) --cflags libnetfilter_conntrack`
ct_libs =       `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_CONNTRACK $(PKG_CONFIG) --libs libnetfilter_conntrack`
lua_cflags =    `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_LUASCRIPT $(PKG_CONFIG) --cflags $(LUA)` 
lua_libs =      `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_LUASCRIPT $(PKG_CONFIG) --libs $(LUA)` 
nettle_cflags = `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_DNSSEC     $(PKG_CONFIG) --cflags 'nettle hogweed'`
nettle_libs =   `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_DNSSEC     $(PKG_CONFIG) --libs 'nettle hogweed'`
gmp_libs =      `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_DNSSEC NO_GMP --copy -lgmp`
sunos_libs =    `if uname | grep SunOS >/dev/null 2>&1; then echo -lsocket -lnsl -lposix4; fi`
nft_cflags =    `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_NFTSET $(PKG_CONFIG) --cflags libnftables` 
nft_libs =      `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_NFTSET $(PKG_CONFIG) --libs libnftables`
version =       -DVERSION='\"`$(top)/bld/get-version $(top)`\"'

sum?=$(shell $(CC) -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' ')
sum!=$(CC) -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' '
copts_conf = .copts_$(sum)

objs = cache.o rfc1035.o util.o option.o forward.o network.o \
       dnsmasq.o dhcp.o lease.o rfc2131.o netlink.o dbus.o bpf.o \
       helper.o tftp.o log.o conntrack.o dhcp6.o rfc3315.o \
       dhcp-common.o outpacket.o radv.o slaac.o auth.o ipset.o pattern.o \
       domain.o dnssec.o blockdata.o tables.o loop.o inotify.o \
       poll.o rrfilter.o edns0.o arp.o crypto.o dump.o ubus.o \
       metrics.o domain-match.o nftset.o

hdrs = dnsmasq.h config.h dhcp-protocol.h dhcp6-protocol.h \
       dns-protocol.h radv-protocol.h ip6addr.h metrics.h

all : $(BUILDDIR)
	@cd $(BUILDDIR) && $(MAKE) \
 top="$(top)" \
 build_cflags="$(version) $(dbus_cflags) $(idn2_cflags) $(idn_cflags) $(ct_cflags) $(lua_cflags) $(nettle_cflags) $(nft_cflags)" \
 build_libs="$(dbus_libs) $(idn2_libs) $(idn_libs) $(ct_libs) $(lua_libs) $(sunos_libs) $(nettle_libs) $(gmp_libs) $(ubus_libs) $(nft_libs)" \
 -f $(top)/Makefile dnsmasq 

mostly_clean :
	rm -f $(BUILDDIR)/*.mo $(BUILDDIR)/*.pot 
	rm -f $(BUILDDIR)/.copts_* $(BUILDDIR)/*.o $(BUILDDIR)/dnsmasq.a $(BUILDDIR)/dnsmasq

clean : mostly_clean
	rm -f $(BUILDDIR)/dnsmasq_baseline
	rm -f core */core
	rm -f *~ contrib/*/*~ */*~

install : all
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 644 $(MAN)/dnsmasq.8 $(DESTDIR)$(MANDIR)/man8 
	$(INSTALL) -m 755 $(BUILDDIR)/dnsmasq $(DESTDIR)$(BINDIR)

all-i18n : $(BUILDDIR)
	@cd $(BUILDDIR) && $(MAKE) \
 top="$(top)" \
 i18n=-DLOCALEDIR=\'\"$(LOCALEDIR)\"\' \
 build_cflags="$(version) $(dbus_cflags) $(idn2_cflags) $(idn_cflags) $(ct_cflags) $(lua_cflags) $(nettle_cflags) $(nft_cflags)" \
 build_libs="$(dbus_libs) $(idn2_libs) $(idn_libs) $(ct_libs) $(lua_libs) $(sunos_libs) $(nettle_libs) $(gmp_libs) $(ubus_libs) $(nft_libs)"  \
 -f $(top)/Makefile dnsmasq
	for f in `cd $(PO); echo *.po`; do \
		cd $(top) && cd $(BUILDDIR) && $(MAKE) top="$(top)" -f $(top)/Makefile $${f%.po}.mo; \
	done

install-i18n : all-i18n
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 644 $(MAN)/dnsmasq.8 $(DESTDIR)$(MANDIR)/man8 
	$(INSTALL) -m 755 $(BUILDDIR)/dnsmasq $(DESTDIR)$(BINDIR)
	cd $(BUILDDIR); $(top)/bld/install-mo $(DESTDIR)$(LOCALEDIR) $(INSTALL)
	cd $(MAN); ../bld/install-man $(DESTDIR)$(MANDIR) $(INSTALL)

merge : 
	@cd $(BUILDDIR) && $(MAKE) top="$(top)" -f $(top)/Makefile dnsmasq.pot
	for f in `cd $(PO); echo *.po`; do \
		echo -n msgmerge $(PO)/$$f && $(MSGMERGE) --no-wrap -U $(PO)/$$f $(BUILDDIR)/dnsmasq.pot; \
	done

# Canonicalise .po file.
%.po : 
	@cd $(BUILDDIR) && $(MAKE) -f $(top)/Makefile dnsmasq.pot
	mv $(PO)/$*.po $(PO)/$*.po.orig && $(MSGMERGE) --no-wrap $(PO)/$*.po.orig $(BUILDDIR)/dnsmasq.pot >$(PO)/$*.po; 

$(BUILDDIR):
	mkdir -p $(BUILDDIR)

# rules below are helpers for size tracking

baseline : mostly_clean all
	@cd $(BUILDDIR) && \
	   mv dnsmasq dnsmasq_baseline

bloatcheck : $(BUILDDIR)/dnsmasq_baseline mostly_clean all
	@cd $(BUILDDIR) && \
           $(top)/bld/bloat-o-meter dnsmasq_baseline dnsmasq; \
           size dnsmasq_baseline dnsmasq

# rules below are targets in recursive makes with cwd=$(BUILDDIR)

$(copts_conf): $(hdrs)
	@rm -f *.o .copts_*
	@touch $@

$(objs:.o=.c) $(hdrs):
	ln -s $(top)/$(SRC)/$@ .

$(objs): $(copts_conf) $(hdrs)

.c.o:
	$(CC) $(CFLAGS) $(COPTS) $(i18n) $(build_cflags) $(RPM_OPT_FLAGS) -c $<	

dnsmasq : $(objs)
	$(CC) $(LDFLAGS) -o $@ $(objs) $(build_libs) $(LIBS) 

dnsmasq.pot : $(objs:.o=.c) $(hdrs)
	$(XGETTEXT) -d dnsmasq --foreign-user --omit-header --keyword=_ -o $@ -i $(objs:.o=.c)

%.mo : $(top)/$(PO)/%.po dnsmasq.pot
	$(MSGMERGE) -o - $(top)/$(PO)/$*.po dnsmasq.pot | $(MSGFMT) -o $*.mo -

.PHONY : all clean mostly_clean install install-common all-i18n install-i18n merge baseline bloatcheck

=== debian/changelog ===
dnsmasq (2.91~test6-1) unstable; urgency=medium

  * New upstream pre-release 2.91~test6
  * d/watch: Consider only tar.gz archives.
  * d/p/*: Drop fix-crash-when-reloading-DHCP-config-on-SIGHUP.patch,
    applied upstream.
  * d/t/functions.d/options*.patterns: Adapt pattern files to the new
    upstream version.
  * d/rules: Call dh_auto_build without --no-parallel, upstream meanwhile
    supports parallel build.
  * d/copyright:
    - Correct copyright years of src/dnssec.c.
    - Bump copyright years to 2025.

 -- Sven Geuer <sge@debian.org>  Mon, 13 Jan 2025 13:18:22 +0100

dnsmasq (2.90-7) unstable; urgency=medium

  * d/p/*:
    - Add patch to fix crash when reloading DHCP config on SIGHUP
      (closes: #1090352).

 -- Sven Geuer <sge@debian.org>  Tue, 17 Dec 2024 22:21:34 +0100

dnsmasq (2.90-6) unstable; urgency=medium

  * Enhance autopkgtests.
    - d/t/functions:
      - Deal with dhcpcd in addition to isc-dhcp-client (closes: #1089585).
    - d/t/*:
      - Make sure ifupdown is installed with tests relying on it and remove
        systemd-resolved possibly installed by default (closes: #1089586).
      - Drop trailing empty lines.
    - Thanks to Lukas Märdian <slyon@ubuntu.com> for bringing up the issues
      and for providing patches.

 -- Sven Geuer <sge@debian.org>  Tue, 10 Dec 2024 20:44:54 +0100

dnsmasq (2.90-5) unstable; urgency=medium

  * d/control + d/copyright:
    - Update my email address to the d.o one.
  * d/control:
    - Mark all packages as Multi-Arch: foreign (closes: #934477). Thanks to
      "Yuriy M. Kaminskiy" <yumkam+debian@gmail.com> for the patch.
  * d/dnsmasq.service + d/dnsmasq@.service:
    - Require network-online.target instead of network.target (closes: #774970,
      lp: #1531184). Thanks to David Britton <david.britton@canonical.com> for
      the patch.
    - Add Documentation key.
  * d/init-system-common:
    - Run resolvconf asynchronously (closes: #871958, lp: #1778073). Thanks to
      Ciaby, https://launchpad.net/~ciaby, for tracking down what caused a
      deadlock between dnsmasq, resolvconf and postfix.
  * d/tests/*:
    - Add test to verify the fix to bug #871958 still works.
  * d/p/*:
    - Add patch to remove trailing white space from dnsmasq.conf.example
      (closes: #1022706).
  * d/rules:
    - Apply dh_installexamples instead of explicit code to package
      dnsmasq.conf.example.
  * d/dnsmasq.init:
    - Fix lintian issue init.d-script-missing-lsb-short-description.

 -- Sven Geuer <sge@debian.org>  Sat, 23 Nov 2024 18:50:11 +0100

dnsmasq (2.90-4) unstable; urgency=medium

  * d/dnsmasq-base.postrm:
    - Handle the rare case "userdel" not being available (closes: #1071142).
  * Bump Standards-Version to 4.7.0.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 17 May 2024 17:33:51 +0200

dnsmasq (2.90-3) unstable; urgency=medium

  * Update d/control:
    - Add passwd to Depends of dnsmasq-base(-lua) (closes: #1064518).
    - Update the Vcs-* fields (closes: #1065347).
    - Fix lintian issue build-depends-on-obsolete-package.
    - Add myself as uploader.
  * Update d/copyright:
    - Fix lintian issue missing-field-in-dep5-copyright.
  * Add missing CVE number to the 2.90-1 change log.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 09 Mar 2024 20:18:53 +0100

## dnsmasq 2.91~test9

=== Makefile ===
--- 
+++ 
@@ -71,8 +71,8 @@
 nft_libs =      `echo $(COPTS) | $(top)/bld/pkg-wrapper HAVE_NFTSET $(PKG_CONFIG) --libs libnftables`
 version =       -DVERSION='\"`$(top)/bld/get-version $(top)`\"'
 
-sum?=$(shell $(CC) -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' ')
-sum!=$(CC) -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' '
+sum?=$(shell echo $(CC) -DDNSMASQ_COMPILE_FLAGS="$(CFLAGS)" -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' ')
+sum!=echo $(CC) -DDNSMASQ_COMPILE_FLAGS="$(CFLAGS)" -DDNSMASQ_COMPILE_OPTS $(COPTS) -E $(top)/$(SRC)/dnsmasq.h | ( md5sum 2>/dev/null || md5 ) | cut -f 1 -d ' '
 copts_conf = .copts_$(sum)
 
 objs = cache.o rfc1035.o util.o option.o forward.o network.o \

=== debian/changelog ===
dnsmasq (2.91~test9-1) unstable; urgency=medium

  * New upstream pre-release 2.91~test9

 -- Sven Geuer <sge@debian.org>  Thu, 23 Jan 2025 12:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
                libidn2-dev, libdbus-1-dev (>=0.61), libgmp-dev,
                nettle-dev (>=2.4-3), libbsd-dev [kfreebsd-any],
 	       liblua5.4-dev, dh-runit, debhelper-compat (= 13),
-               pkg-config, libnftables-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon Kelley <simon@thekelleys.org.uk>
+               pkgconf, libnftables-dev
+Maintainer: Simon Kelley <simon@thekelleys.org.uk>
+Uploaders: Sven Geuer <sge@debian.org>
 Homepage: https://www.thekelleys.org.uk/dnsmasq/doc.html
-Vcs-Git: https://thekelleys.org.uk/git/dnsmasq.git
-Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq.git
-Standards-Version: 4.6.2
+Vcs-Git: https://thekelleys.org.uk/git/dnsmasq-debian.git
+Vcs-Browser: https://thekelleys.org.uk/gitweb/?p=dnsmasq-debian.git
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: dnsmasq
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: netbase, dnsmasq-base,
          ${misc:Depends}
@@ -34,7 +35,8 @@
 
 Package: dnsmasq-base
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dnsmasq (<< 2.63-1~)
 Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
 Recommends: dns-root-data
@@ -47,7 +49,8 @@
 
 Package: dnsmasq-base-lua
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: passwd, ${misc:Depends}, ${shlibs:Depends}
 Breaks: dnsmasq (<< 2.63-1~)
 Replaces: dnsmasq (<< 2.63-1~), dnsmasq-base
 Recommends: dns-root-data
@@ -61,6 +64,7 @@
 
 Package: dnsmasq-utils
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: dnsmasq (<<2.40)
 Description: Utilities for manipulating DHCP leases

## dnsmasq 2.91

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# dnsmasq is Copyright (c) 2000-2024 Simon Kelley
+# dnsmasq is Copyright (c) 2000-2025 Simon Kelley
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by

=== contrib/lease-tools/Makefile ===
CFLAGS?= -O2 -Wall -W

all: dhcp_release dhcp_release6 dhcp_lease_time

clean:
	rm -f *~ *.o core dhcp_release dhcp_release6 dhcp_lease_time

=== debian/changelog ===
dnsmasq (2.91-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:45:41 +0000

dnsmasq (2.91-1) unstable; urgency=medium

  * New upstream version 2.91
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Thu, 20 Mar 2025 18:22:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -78,12 +78,12 @@
 override_dh_auto_build:
 
 override_dh_auto_install:
-	dh_auto_build -p dnsmasq-base --no-parallel -- install-i18n \
+	dh_auto_build -p dnsmasq-base -- install-i18n \
 		BUILDDIR=debian/auto-build/dnsmasq-base \
 		DESTDIR=$(CURDIR)/debian/dnsmasq-base \
 		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		COPTS="$(COPTS)"
-	dh_auto_build -p dnsmasq-base-lua --no-parallel -- install-i18n \
+	dh_auto_build -p dnsmasq-base-lua -- install-i18n \
 		BUILDDIR=debian/auto-build/dnsmasq-base-lua \
 		DESTDIR=$(CURDIR)/debian/dnsmasq-base-lua \
 		PREFIX=$(PREFIX) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
@@ -102,8 +102,7 @@
 	dh_install -p dnsmasq-utils --sourcedir=contrib/lease-tools
 	dh_install --remaining-packages
 
-# If 'nodoc' is absent from DEB_BUILD_OPTIONS, Correct name or location of
-# some doc files.
+# If 'nodoc' is absent from DEB_BUILD_OPTIONS, correct name of some doc files.
 # We would prefer do this via dh-exec if it would support dh_installdocs.
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_installdocs:
@@ -111,8 +110,6 @@
 		cd $$d; \
 		mv readme README.Debian; \
 		mv CHANGELOG.archive changelog.archive; \
-		mkdir examples; \
-		mv dnsmasq.conf.example examples/; \
 	done
 endif

=== debian/tests/control ===
Tests: compile-time-options
Depends: dnsmasq,
         dnsmasq-base,
Restrictions: needs-root,
              isolation-container,

Tests: compile-time-options+lua
Depends: dnsmasq,
         dnsmasq-base-lua,
Restrictions: needs-root,
              isolation-container,

Tests: get-address+query-dns+check-utils
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         dnsmasq-utils,
         ifupdown,
Restrictions: needs-root,
              allow-stderr,
              isolation-container,

Tests: get-address+query-dns+lua+alt
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base-lua,
         ifupdown,
Restrictions: needs-root,
              allow-stderr,
              isolation-container,

Tests: get-address+query-dns+sysv+alt
Depends: bind9,
         bind9-dnsutils,
         dnsmasq,
         dnsmasq-base,
         ifupdown,
Restrictions: needs-root,
              allow-stderr,
              isolation-container,

Tests: verify-fix-to-bug-871958
Depends: dnsmasq,
         postfix,
         resolvconf,
Restrictions: needs-root,
              isolation-container,

=== debian/watch ===
version=4
opts=\
	pgpmode=auto \
https://thekelleys.org.uk/dnsmasq/ \
dnsmasq-([\d.]+).tar.gz

## dnsmasq 2.92~rc1

=== debian/changelog ===
dnsmasq (2.92~rc1-1) unstable; urgency=medium

  * New upstream version 2.92~rc1
  * d/p/*:
    - Adapt eliminate-privacy-breaches.patch to new upstream version.
    - Add en-manpage.patch fixing typos reported by lintian.
    - Add sv-manpage.patch fixing lintian warning and a typo.
  * d/watch: Update watch file to version 5 format.
  * d/control: Drop 'Rules-Requires-Root: no', it's the default now.

 -- Sven Geuer <sge@debian.org>  Thu, 04 Dec 2025 19:02:47 +0100
